uk.gov.hmrc.play.fsm.JourneyController.actions.WhenAuthorised.WaitFor

# OrApply

###
Related Doc: package WaitFor

#### final class OrApply extends Executable

Linear Supertypes
Executable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. OrApply
2. Executable
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### final class ThenDisplay extends Executable

2. #### final class ThenRedirectOrDisplayIf[S2 <: State] extends Executable

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def andCleanBreadcrumbs(): Executable

   Clean history (breadcrumbs) afterwards.

   Clean history (breadcrumbs) afterwards.

   Definition Classes
     Executable

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def display: ThenDisplay

   Wait until the state becomes of S type, or if timeout expires apply the transition and display the state.

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def execute(implicit request: Request[_], ec: ExecutionContext): Future[Result]

    Definition Classes
      OrApply → Executable

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### def recover(recoveryStrategy: PartialFunction[Throwable, Result]): Executable

    Recover from an error using custom strategy.

    Recover from an error using custom strategy.

    Definition Classes
      Executable

19. #### def recoverWith(recoveryStrategy: (Request[_]) ⇒ PartialFunction[Throwable, Future[Result]]): Executable

    Recover from an error using custom strategy.

    Recover from an error using custom strategy.

    Definition Classes
      Executable

20. #### def redirectOrDisplayIf[S2 <: State](implicit arg0: ClassTag[S2]): ThenRedirectOrDisplayIf[S2]

    Wait until the state becomes of S type, or if timeout expires apply the transition and depending on the outcome either display the new state if of type S2, or redirect to the new state.

21. #### def renderUsing(renderState: (Request[_]) ⇒ (State, Breadcrumbs, Option[Form[_]]) ⇒ Result): Executable

    Use custom {@see renderState} function.

    Use custom {@see renderState} function.

    Definition Classes
      Executable

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### def transform(fx: PartialFunction[Result, Result]): Executable

    Transform result using provided partial function.

    Transform result using provided partial function.

    Definition Classes
      Executable

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Executable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped